.. dune documentation master file, created by
   sphinx-quickstart on Tue Apr 11 21:24:42 2017.
   You can adapt this file completely to your liking, but it should at least
   contain the root `toctree` directive.

Welcome to Dune's Documentation!
================================

.. We include the titles of the pages here to make sure they are in
   alphabetical order. Eventually we should name the files and titles
   similarly.

.. toctree::
   :caption: Getting Started and Core Concepts
   :maxdepth: 3

   overview
   quick-start
   dune-files
   concepts
   usage

.. toctree::
   :caption: Reference
   :maxdepth: 3

   formatting
   coq
   cross-compilation
   foreign-code
   caching
   dune-libs
   rpc
   documentation
   sites
   instrumentation
   jsoo
   lexical-conventions
   opam
   advanced-topics
   toplevel-integration
   variants
   tests

.. toctree::
   :caption: Miscellaneous
   :maxdepth: 3

   faq
   goals
   known-issues
   hacking
